dht::indexation::IndexEntry Struct Reference
Inheritance diagram for dht::indexation::IndexEntry:
[legend]
Collaboration diagram for dht::indexation::IndexEntry:
[legend]

## Public Member Functions

virtual void | unpackValue (const dht::Value &v)
virtual dht::Value | packValue () const
Public Member Functions inherited from dht::Value::Serializable< IndexEntry >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Public Attributes

Blob | prefix
Value | value
std::string | name

## Static Public Attributes

static const ValueType | TYPE

## Detailed Description

Definition at line 268 of file pht.h.

## Member Function Documentation

## packValue()

virtual dht::Value dht::indexation::IndexEntry::packValue | ( |  | ) | const

inline virtual

Reimplemented from dht::Value::Serializable< IndexEntry >.

Definition at line 276 of file pht.h.

## unpackValue()

virtual void dht::indexation::IndexEntry::unpackValue | ( | const dht::Value & | v | ) |

inline virtual

Reimplemented from dht::Value::Serializable< IndexEntry >.

Definition at line 271 of file pht.h.

## Member Data Documentation

## name

std::string dht::indexation::IndexEntry::name

Definition at line 284 of file pht.h.

## prefix

Blob dht::indexation::IndexEntry::prefix

Definition at line 282 of file pht.h.

## TYPE

const ValueType dht::indexation::IndexEntry::TYPE

static

Definition at line 269 of file pht.h.

## value

Value dht::indexation::IndexEntry::value

Definition at line 283 of file pht.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/indexation/pht.h